[Rainmeter]
OnRefreshAction=!ZPos 2
Update=1000
RightMouseDownAction=[""]
RightMouseUpAction=[""]
RightMouseDoubleClickAction=[""]
ContextTitle=Change Passcode
Blur=1

[Variables]
Passcode=0
Unlock=1975

[MeterBackground]
Meter=Image
ImageName=00
w=#SCREENAREAWIDTH#
h=#SCREENAREAHEIGHT#

[MeasureTime]
Measure=Time
Format=%H:%M:%S

[MeasureCalc]
Measure=Calc
Formula=#Passcode#
IfEqualValue=#Unlock#
IfEqualAction=!DeactivateConfig
DynamicVariables=1

======================================
[MeterButton1]
Meter=Button
ButtonImage=1
x=((#SCREENAREAWIDTH#/2)-85)
y=((#SCREENAREAHEIGHT#/2)-20)
DynamicVariables=1
ButtonCommand=[!SetVariable Passcode ((#Passcode#*10)+1)]

[MeterButton2]
Meter=Button
ButtonImage=2
x=10R
y=r
DynamicVariables=1
ButtonCommand=[!SetVariable Passcode ((#Passcode#*10)+2)]

[MeterButton3]
Meter=Button
ButtonImage=3
MeterStyle=MeterButton2
ButtonCommand=[!SetVariable Passcode ((#Passcode#*10)+3)]

[MeterButton4]
Meter=Button
ButtonImage=4
MeterStyle=MeterButton1
y=10R
ButtonCommand=[!SetVariable Passcode ((#Passcode#*10)+4)]

[MeterButton5]
Meter=Button
ButtonImage=5
MeterStyle=MeterButton2
ButtonCommand=[!SetVariable Passcode ((#Passcode#*10)+5)]

[MeterButton6]
Meter=Button
ButtonImage=6
MeterStyle=MeterButton2
ButtonCommand=[!SetVariable Passcode ((#Passcode#*10)+6)]

[MeterButton7]
Meter=Button
ButtonImage=7
MeterStyle=MeterButton1
y=10R
ButtonCommand=[!SetVariable Passcode ((#Passcode#*10)+7)]

[MeterButton8]
Meter=Button
ButtonImage=8
MeterStyle=MeterButton2
ButtonCommand=[!SetVariable Passcode ((#Passcode#*10)+8)]

[MeterButton9]
Meter=Button
ButtonImage=9
MeterStyle=MeterButton2
ButtonCommand=[!SetVariable Passcode ((#Passcode#*10)+9)]

[MeterButtonCLear]
Meter=Button
ButtonImage=Clear
x=-60r
y=10R
ButtonCommand=[!SetVariable Passcode 0]
DynamicVariables=1

[MeterTime]
Meter=String
MeasureName=MeasureTime
x=((#SCREENAREAWIDTH#/2))
y=((#SCREENAREAHEIGHT#/2)+350)
FontFace=Digital
FontColor=0, 0, 0, 255
StringEffect=Border
FontEffectColor=0, 180, 255
FontSize=50
StringAlign=Center
AntiAlias=1
